- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- NOTES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

OSSL_CRMF_MSG_set1_regInfo_utf8Pairs, OSSL_CRMF_MSG_set1_regInfo_certReq - functions setting CRMF Registration Info

# SYNOPSIS

     #include <openssl/crmf.h>

     int OSSL_CRMF_MSG_set1_regInfo_utf8Pairs(OSSL_CRMF_MSG *msg,
                                              const ASN1_UTF8STRING *utf8pairs);
     int OSSL_CRMF_MSG_set1_regInfo_certReq(OSSL_CRMF_MSG *msg,
                                            const OSSL_CRMF_CERTREQUEST *cr);

# DESCRIPTION

OSSL_CRMF_MSG_set1_regInfo_utf8Pairs() adds a copy of the given utf8pairs value as utf8Pairs regInfo to the given msg. See RFC 4211 section 7.1.

OSSL_CRMF_MSG_set1_regInfo_certReq() adds a copy of the given cr value as certReq regInfo to the given msg. See RFC 4211 section 7.2.

# RETURN VALUES

All functions return 1 on success, 0 on error.

# NOTES

Calling these functions multiple times adds multiple instances of the respective control to the regInfo structure of the given msg. While RFC 4211 expects multiple utf8Pairs in one regInfo structure, it does not allow multiple certReq.

# SEE ALSO

RFC 4211

# HISTORY

The OpenSSL CRMF support was added in OpenSSL 3.0.

# COPYRIGHT

Copyright 2007-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.